Bug Hunting Session
Bug 108074 - Merged cells can overlap page break, and are displayed incorrectly
Summary: Merged cells can overlap page break, and are displayed incorrectly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2017-05-25 00:15 UTC by Aron Budea
Modified: 2019-08-07 11:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample ODT (10.11 KB, application/vnd.oasis.opendocument.text)
2017-05-25 00:15 UTC, Aron Budea
Details
Sample DOCX (16.91 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-05-25 00:17 UTC, Aron Budea
Details
Example table and actions to get wrong behavior (44.44 KB, application/zip)
2017-08-05 14:34 UTC, Alexander Polkhovskiy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-05-25 00:15:27 UTC
Created attachment 133548 [details]
Sample ODT

Open attached ODT (saved from a DOCX in Writer).
Note how the first two rows of the table look strange.

Adding a line break before the table moves the rows to the next page and fixes the layout. Then deleting two line breaks and adding one causes the bug to reappear.

Observed with 5.4beta1 and 4.0.0.3 / Windows 7.
Comment 1 Aron Budea 2017-05-25 00:17:41 UTC
Created attachment 133549 [details]
Sample DOCX

Here's the original DOCX created in Word 2013. Just attaching for reference, it's not relevant for the issue, which is more about very specific positioning.
Comment 2 Yousuf Philips (jay) (retired) 2017-05-25 02:50:28 UTC
Confirmed. Seems B2 is being hidden behind the footer area of page 1, as i can type in the cell but what i type isnt shown.

Version: 5.5.0.0.alpha0+
Build ID: 0e6297932252403883a6057feee488e4ee2bc360
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-05-22_23:44:32
Locale: en-US (en_US.UTF-8); Calc: group
Comment 3 Alexander Polkhovskiy 2017-08-05 14:27:26 UTC
Yes, always troubles with merged cells. And always unexpected behavior.
Comment 4 Alexander Polkhovskiy 2017-08-05 14:34:52 UTC
Created attachment 135171 [details]
Example table and actions to get wrong behavior

Expand row #18 text to make it go to a new line - you'll get another wrong page break (After.png). If you add Enter (CRLF) to make a new second line, you'll see another behavior (After2.png).
Every time you change the table (add, delete, resize rows), you can see wrong cells' behavior (Effects.png).
Comment 5 QA Administrators 2018-08-06 02:29:13 UTC Comment hidden (obsolete)
Comment 6 Alexander Polkhovskiy 2018-08-06 08:01:13 UTC
Still reproduced in LO 6.0.6.2
ID: 0c292870b25a325b5ed35f6b45599d2ea4458e77
Windows 6.3; GL; 
ru-RU (ru_RU); Calc: CL
Comment 7 QA Administrators 2019-08-07 04:46:00 UTC Comment hidden (obsolete)
Comment 8 Alexander Polkhovskiy 2019-08-07 11:58:34 UTC
Same behaviour

Version: 6.4.0.0.alpha0+ (x86)
Build ID: a675fe37abc134cc5cbf54385ca99c8d1417ce2b
CPU threads: 4; OS: Windows 6.3; UI render: GL; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-07-26_09:09:34
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: CL